curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/dcl/batches' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orders": [
{
"order_number": "ORD-10042",
"account_number": "string",
"ordered_date": "2026-08-31T14:22:05Z",
"shipping_address": {
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal_code": null,
"country_code": null,
"phone": null,
"email": null
},
"billing_address": {
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal_code": null,
"country_code": null,
"phone": null,
"email": null
},
"lines": [],
"location": "string",
"freight_account": "string"
}
],
"dclConfig": {
"location": "string",
"allowPartial": true
}
}'
{
"success": true,
"results": [
{
"accountNumber": "string",
"success": true,
"error": "string",
"orderStatuses": [],
"failedOrders": [],
"response": {}
}
],
"orderStatuses": [
{}
]
}
Create a batch of orders in DCL
DCL batch submission result
POST
/
v1
/
tenants
/
{tenant_id}
/
dcl
/
batches
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/dcl/batches' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orders": [
{
"order_number": "ORD-10042",
"account_number": "string",
"ordered_date": "2026-08-31T14:22:05Z",
"shipping_address": {
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal_code": null,
"country_code": null,
"phone": null,
"email": null
},
"billing_address": {
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal_code": null,
"country_code": null,
"phone": null,
"email": null
},
"lines": [],
"location": "string",
"freight_account": "string"
}
],
"dclConfig": {
"location": "string",
"allowPartial": true
}
}'
{
"success": true,
"results": [
{
"accountNumber": "string",
"success": true,
"error": "string",
"orderStatuses": [],
"failedOrders": [],
"response": {}
}
],
"orderStatuses": [
{}
]
}
Path parameters
string
required
Tenant identifier
Request body
object
object[]
required
List of orders to submit
object
DCL batch configuration overrides
Response
object
boolean
required
Overall success indicator
object[]
required
object[]
required
Consolidated order statuses
Status codes
| Code | Meaning |
|---|---|
200 | DCL batch submission result |
401 | Unauthorized |
422 | Validation error |
424 | DCL integration not configured |
502 | DCL API error |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/dcl/batches' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orders": [
{
"order_number": "ORD-10042",
"account_number": "string",
"ordered_date": "2026-08-31T14:22:05Z",
"shipping_address": {
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal_code": null,
"country_code": null,
"phone": null,
"email": null
},
"billing_address": {
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal_code": null,
"country_code": null,
"phone": null,
"email": null
},
"lines": [],
"location": "string",
"freight_account": "string"
}
],
"dclConfig": {
"location": "string",
"allowPartial": true
}
}'
{
"success": true,
"results": [
{
"accountNumber": "string",
"success": true,
"error": "string",
"orderStatuses": [],
"failedOrders": [],
"response": {}
}
],
"orderStatuses": [
{}
]
}